import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  claimId: z.literal(true).optional(),
  patientId: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  updatedById: z.literal(true).optional(),
  npiProviderId: z.literal(true).optional(),
  totalBilled: z.literal(true).optional(),
  totalPaid: z.literal(true).optional(),
  totalAdjusted: z.literal(true).optional(),
  totalDue: z.literal(true).optional(),
  mhPaidAmount: z.literal(true).optional(),
  copayment: z.literal(true).optional(),
  adjustment: z.literal(true).optional(),
  status: z.literal(true).optional(),
  notes: z.literal(true).optional(),
  icn: z.literal(true).optional(),
  createdAt: z.literal(true).optional(),
  updatedAt: z.literal(true).optional()
}).strict();
export const PaymentMaxAggregateInputObjectSchema: z.ZodType<Prisma.PaymentMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.PaymentMaxAggregateInputType>;
export const PaymentMaxAggregateInputObjectZodSchema = makeSchema();
